package cn.newfeifan.mall.module.distri.controller.admin.consumptionchangelog.vo;

import cn.newfeifan.mall.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 平台消费分变动记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ConsumptionChangeLogPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "10871")
    private Long userId;

    @Schema(description = "变动的消费分")
    private Long consumptionPoints;

    @Schema(description = "变动后消费分")
    private Long afterConsumptionPoints;

    @Schema(description = "消费分变动类型", example = "2")
    private Integer consumptionStatus;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "实际消费分")
    private Long practicalConsumptionPoints;

    @Schema(description = "消费分产生对象", example = "23323")
    private Long generateUserId;

    @Schema(description = "订单Id", example = "18715")
    private Long orderId;

    @Schema(description = "订单编号")
    private String orderNo;

}