package cn.newfeifan.mall.module.distri.controller.admin.integral.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 推荐用户积分 Response VO")
@Data
@ExcelIgnoreUnannotated
public class IntegralRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "19201")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "用户ID", example = "19778")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "用户类型", example = "17348")
    @ExcelProperty("用户类型")
    private Long categoryId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "用户名称", example = "赵六")
    @ExcelProperty("用户名称")
    private String name;

    @Schema(description = "用户昵称", example = "赵六")
    @ExcelProperty("用户昵称")
    private String nickName;

    @Schema(description = "当前积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("当前积分")
    private Long currentQuota;

    @Schema(description = "冻结积分")
    @ExcelProperty("冻结积分")
    private Long freezeQuota;

    @Schema(description = "合赢奖累计获取积分")
    @ExcelProperty("合赢奖累计获取积分")
    private Long accumulatedQuota;

    @Schema(description = "直推奖累计获取积分")
    @ExcelProperty("直推奖累计获取积分")
    private Long ancestorQuota;

    @Schema(description = "最高可获取积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("最高可获取积分")
    private Long highQuota;

    @Schema(description = "累计获取的峰值")
    @ExcelProperty("累计获取的峰值")
    private Long highQuotaTotal;

    @Schema(description = "当前消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("当前消费分")
    private Long consumptionPoints;
}