package cn.newfeifan.mall.module.distri.controller.admin.orderpercentage.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 积分相关计算浮动百分比设置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OrderPercentageRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "2203")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "毛利 = 成本 * 0.38... (推广费用)")
    @ExcelProperty("毛利 = 成本 * 0.38... (推广费用)")
    private String grossProfitPerc;

    @Schema(description = "推广-用户额度 百分比")
    @ExcelProperty("推广-用户额度 百分比")
    private String grossProfitUserQuotaPerc;

    @Schema(description = "推广-推荐人额度 百分比")
    @ExcelProperty("推广-推荐人额度 百分比")
    private String grossProfitAncestorQuotaPerc;

    @Schema(description = "推广-合赢奖额度(浮动) 百分比")
    @ExcelProperty("推广-合赢奖额度(浮动) 百分比")
    private String grossProfitBonusQuotaPerc;

    @Schema(description = "推广-平台分成额度(浮动) 百分比")
    @ExcelProperty("推广-平台分成额度(浮动) 百分比")
    private String grossProfitPlatformQuotaPerc;

    @Schema(description = "分成百分比")
    @ExcelProperty("分成百分比")
    private String divideIntoPerc;

    @Schema(description = "购物订单：直推人身价提升", example = "1")
    @ExcelProperty("购物订单：直推人身价提升")
    private String orderAncestorSocialStatus;

    @Schema(description = "购物订单：本人身价提升", example = "2")
    @ExcelProperty("购物订单：本人身价提升")
    private String orderUserSocialStatus;

    @Schema(description = "新用户注册：直推人身价提升", example = "2")
    @ExcelProperty("新用户注册：直推人身价提升")
    private String registerAncestorSocialStatus;

    @Schema(description = "新用户注册：本人身价提升", example = "2")
    @ExcelProperty("新用户注册：本人身价提升")
    private String registerSocialStatus;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;
    @Schema(description = "是否启用 0关闭 1启动", example = "2")
    private Integer status;

    @Schema(description = "用户注册后，获得的基础最大合赢奖、直推奖积分限额")
    private String baseMaxQuota;

    @Schema(description = "收藏商品获取身价值，同一SPU商品收藏多次无效", example = "1")
    @ExcelProperty("收藏商品获取身价值，同一SPU商品收藏多次无效")
    private String collectSocialStatus;

    @Schema(description = "用户签到可获取的最大身价值")
    @ExcelProperty("用户签到可获取的最大身价值")
    private String signInSocialStatusMax;

    @Schema(description = "签到获取身价", example = "1")
    @ExcelProperty("签到获取身价")
    private String signInSocialStatus;
}