package cn.newfeifan.mall.module.distri.controller.admin.socialstatus.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销用户身价 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SocialStatusRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "19722")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "身价等级")
    @ExcelProperty("身价等级")
    private String level;

    @Schema(description = "身价名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "芋艿")
    @ExcelProperty("身价名称")
    private String name;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "升级所需点数")
    @ExcelProperty("升级所需点数")
    private Long point;

}