package cn.newfeifan.mall.module.distri.dal.dataobject.dailybill;

import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDate;

/**
 * 每日账单 DO
 *
 * @author 非繁人
 */
@TableName("distri_daily_bill")
@KeySequence("distri_daily_bill_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DailyBillDO extends BaseDO {

    /**
     * 账单编号
     */
    @TableId
    private Long id;
    /**
     * 金额，单位：分
     */
    private Long price;
    /**
     * 确收金额，单位：分
     */
    private Long receivedPrice;
    /**
     * 订单数，默认为0
     */
    private Long orderCount;
    /**
     * 店铺ID
     */
    private Long shopId;
    /**
     * 商户ID
     */
    private Long merchantId;
    /**
     * 订单ID列表，文本类型
     */
    private String orderIds;
    /**
     * 退款金额, 单位: 分
     */
    private Long refundPrice;
    /**
     * 积分
     */
    private Long integral;
    /**
     * 确收积分
     */
    private Long receivedIntegral;
    /**
     * 退款积分
     */
    private Long refundIntegral;
    /**
     * 订单所属日期
     */
    private LocalDate orderCalcTime;

    /**
     * 消费分
     */
    private Long consumptionPoints;
    /**
     * 确收消费分
     */
    private Long receivedConsumptionPoints;
    /**
     * 退款消费分
     */
    private Long refundConsumptionPoints;

}