package cn.newfeifan.mall.module.distri.dal.dataobject.ordersettlement;

import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 订单结算表,记录有那些订单参与了本次结算 DO
 *
 * @author 非繁人
 */
@TableName("trade_order_settlement")
@KeySequence("trade_order_settlement_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderSettlementDO extends BaseDO {

    /**
     * 结算二级表ID
     */
    @TableId
    private Long id;
    /**
     * 结算表ID
     */
    private Long tradeShopSettlementId;
    /**
     * 订单ID
     */
    private Long tradeOrderId;

}