package cn.newfeifan.mall.module.pay.fuiou.respVO;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 申请富友退款 Response")
@Data
public class FuYouPayRefundResponse {
    /**
     * 000000 成功,其他详细参见错误列表
     */
    private String result_code;

    /**
     * 代码描述
     */
    private String result_msg;

    /**
     * 富友分配的商户号
     */
    private String mchnt_cd;

    /**
     * 终端号，用于标识交易的终端设备
     */
    private String term_id;

    /**
     * 随机字符串，用于保证请求的唯一性
     */
    private String random_str;

    /**
     * 订单类型：
     * ALIPAY (统一下单、条码支付、服务窗支付)
     * WECHAT(统一下单、条码支付，公众号支付)
     * UNIONPAY
     * WXAPP(微信app)
     * ALIAPP(支付宝app)
     * WXH5(微信h5)
     * ALIH5(支付宝h5)
     * WXBX(微信保险类)
     * ALBX(支付宝保险类)
     * 【公众号相关的交易为空，其他都有】
     */
    private String order_type;

    /**
     * 渠道交易流水号
     */
    private String transaction_id;

    /**
     * 退款流水号
     */
    private String refund_id;

    /**
     * 商户订单号，由商户为交易生成的唯一标识
     */
    private String mchnt_order_no;

    /**
     * 商户退款号，由商户为退款生成的唯一标识
     */
    private String refund_order_no;

    /**
     * 富友清算日
     */
    private String reserved_fy_settle_dt;

    /**
     * 退款金额
     */
    private String reserved_refund_amt;

    /**
     * 富友追踪号
     */
    private String reserved_fy_trace_no;

    /**
     * 签名字段，用于验证数据的完整性和真实性
     */
    private String sign;
}
